<?php $loop    = new TOROFLIX_Posts();

$category    = $loop->get_categories();
$comments    = $loop->get_comments();

?>
<li id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <article class="post dfx fcl news">
        <header class="entry-header">
            <h2 class="entry-title"><?php the_title(); ?></h2>
            <div class="entry-meta">
                <span class="vote"><span class="fa-comment"></span> <?php echo $comments; ?> <?php _e('Comments', 'torofilm'); ?></span>
            </div>
        </header>
        <div class="post-thumbnail or-1">
            <figure><?php echo tr_theme_img(get_the_ID(), 'medium', get_the_title()); ?></figure>
            <span class="year"><?php echo $category; ?></span>
            <span class="watch btn sm"><?php _e('Read more', 'torofilm'); ?></span>
            <span class="play fa-link"></span>
        </div>
        <a href="<?php the_permalink(); ?>" class="lnk-blk"></a>
    </article>
</li>