<?php

class TOROFILM_Admin {

    private $theme_name;

    private $version;

    private $build_menupage;

    private $helpers;

    public function __construct( $theme_name, $version ) {

        $this->theme_name     = $theme_name;

        $this->version        = $version;

    }

    public function enqueue_styles( $hook ) {

        #Styles General Admin

        wp_enqueue_style( 'peli_wordpress_admin_css', TOROFILM_DIR_URI . 'admin/css/torofilm-wordpress-global.css', array(), $this->version, 'all' );

        #Style for page custom admin

        if( $hook == 'toplevel_page_' ) {

        }

    }

    public function enqueue_scripts( $hook ) {

        wp_enqueue_script( 'peli_wordpress_admin_js', TOROFILM_DIR_URI . 'admin/js/torofilm-admin.js', [ 'jquery' ], $this->version, true );

        /**

         * Condicional para controlar la carga de los archivos

         * solamente en la página del plugin

         */

        if( $hook == 'toplevel_page_' ) {

            wp_enqueue_media();

        }

    }

    /*ADD MENU PAGE ADMIN*/

    /**

     * Añade los Menus para mostrarlos

     * en el front end

     *  L Menu Header 

     *  L Menu Mobile

     */

    public function torofilm_register_menus() {

        register_nav_menus

        (

            array(

                'header' => 'Menu Header',

                'footer' => 'Menu Footer',

                'tags'   => 'Tags Footer'

            )

        );

    }

}

