<?php get_header();

if (isset($_GET['type'])) {
	$type = $_GET['type'];
} else {
	$type = false;
}

$t = get_term_by('id', get_queried_object_id(), 'category');

$url = esc_url(get_term_link($t)); ?>

<div class="bd">

	<div class="dfxc">

		<main class="main-site">

			<?php

			if (!$type) {

				if ($type == 'post') {
					echo '<section class="section news">';
				} else {
					echo '<section class="section movies">';
				}
			}
			?>


			<header class="section-header">

				<div class="rw alg-cr jst-sb">

					<h1 class="section-title"><?php single_cat_title(); ?></h1>

				</div>

				<ul class="aa-tbs cat-t">

					<li><a data-type="1" data-post="movies-series" href="<?php echo $url; ?>" <?php if (!$type) { ?>class="on" <?php } ?>><?php _e('All', 'torofilm'); ?></a></li>

					<li><a data-category="<?php echo get_queried_object_id(); ?>" data-type="1" data-post="movies" href="<?php echo $url; ?>?type=movies" <?php if ($type == 'movies') { ?>class="on" <?php } ?>><?php _e('Movies', 'torofilm'); ?></a></li>

					<li><a data-category="<?php echo get_queried_object_id(); ?>" data-type="1" data-post="series" href="<?php echo $url; ?>?type=series" <?php if ($type == 'series') { ?>class="on" <?php } ?>><?php _e('Series', 'torofilm'); ?></a></li>

					<li><a data-category="<?php echo get_queried_object_id(); ?>" data-type="1" data-post="post" href="<?php echo $url; ?>?type=post" <?php if ($type == 'post') { ?>class="on" <?php } ?>><?php _e('News', 'torofilm'); ?></a></li>

				</ul>

			</header>

			<div class="aa-cn" id="aa-movies">

				<?php if (!$type) { ?>

					<?php if (have_posts()) : ?>

						<div id="movies-a" class="aa-tb hdd on">

							<ul class="post-lst rw sm rcl2 rcl3a rcl4b rcl3c rcl4d rcl6e">

								<?php

								while (have_posts()) : the_post();

									get_template_part('public/partials/template/movies', 'main');

								endwhile; ?>

							</ul>

							<nav class="navigation pagination">

								<?php torofilm_pagination() ?>

							</nav>

						</div>

						<?php endif;
					wp_reset_query();
				} else {

					if ($type == 'post') {

						$paged = get_query_var('paged') ? get_query_var('paged') : 1;

						$args = array(

							'cat' => get_queried_object_id(),

							'post_type' => 'post',

							'paged' => $paged,

						);

						$wp_query = new WP_Query($args);

						if ($wp_query->have_posts()) : ?>

							<div id="movies-a" class="aa-tb hdd on">

								<ul class="post-lst rw sm rcl1 rcl2a rcl3b rcl2c rcl3d rcl4e news-lst">

									<?php

									while ($wp_query->have_posts()) : $wp_query->the_post();

										get_template_part('public/partials/template/post', 'main');

									endwhile; ?>

								</ul>

								<nav class="navigation pagination">

									<?php torofilm_pagination() ?>

								</nav>

							</div>

						<?php endif;
						wp_reset_query();
					}

					if ($type == 'movies') {

						$paged = get_query_var('paged') ? get_query_var('paged') : 1;

						$args = array(

							'cat' => get_queried_object_id(),

							'post_type' => 'movies',

							'paged' => $paged,

						);

						$wp_query = new WP_Query($args);

						if ($wp_query->have_posts()) : ?>

							<div id="movies-a" class="aa-tb hdd on">

								<ul class="post-lst rw sm rcl2 rcl3a rcl4b rcl3c rcl4d rcl6e">

									<?php

									while ($wp_query->have_posts()) : $wp_query->the_post();

										get_template_part('public/partials/template/movies', 'main');

									endwhile; ?>

								</ul>

								<nav class="navigation pagination">

									<?php torofilm_pagination() ?>

								</nav>

							</div>

						<?php endif;
						wp_reset_query();
					}

					if ($type == 'series') {

						$paged = get_query_var('paged') ? get_query_var('paged') : 1;

						$args = array(

							'cat' => get_queried_object_id(),

							'post_type' => 'series',

							'paged' => $paged,

						);

						$wp_query = new WP_Query($args);

						if ($wp_query->have_posts()) : ?>

							<div id="movies-a" class="aa-tb hdd on">

								<ul class="post-lst rw sm rcl2 rcl3a rcl4b rcl3c rcl4d rcl6e">

									<?php

									while ($wp_query->have_posts()) : $wp_query->the_post();

										get_template_part('public/partials/template/movies', 'main');

									endwhile; ?>

								</ul>

								<nav class="navigation pagination">

									<?php torofilm_pagination() ?>

								</nav>

							</div>

				<?php endif;
						wp_reset_query();
					}
				} ?>

			</div>

			</section>

		</main>

		<?php get_sidebar(); ?>

	</div>

</div>

<?php get_footer(); ?>