<footer class="ft tac">

			<nav class="top dfxc alg-cr">

				<?php $logo_footer = get_theme_mod( 'logo_footer' ); 

				if($logo_footer){ ?>

					<figure class="logo"><img src="<?php echo $logo_footer; ?>"></figure>

				<?php } 

				if ( has_nav_menu( 'footer' ) ) {

				    wp_nav_menu(

						array(

							'menu' 				=>  'Menu', 

							'theme_location' 	=> 	'footer',

							'container'			=> 	false,

							'items_wrap'     	=> 	'<ul class="menu dfx fwp fg1 jst-cr">%3$s</ul>',

						)

					);

				} 

				$facebook = get_option( 'social_facebook', false );

				$twitter        = get_option( 'social_twitter', false );

				$instagram      = get_option( 'social_instagram', false ); 

				if($facebook or $twitter or $instagram){ ?>

					<ul class="social rw jst-cr">

						<?php if($facebook){ ?>

							<li><a target="_blank" href="<?php echo $facebook;?>" class="fa-facebook fab"></a></li>

						<?php } if($twitter){ ?>

							<li><a target="_blank" href="<?php echo $twitter; ?>" class="fa-twitter fab"></a></li>

						<?php } if($instagram){ ?>

							<li><a target="_blank" href="<?php echo $instagram; ?>" class="fa-instagram fab"></a></li>

						<?php } ?>

					</ul>

				<?php } ?>

			</nav>

			<?php if(get_option( 'text_footer' )){ ?>

				<p class="copy"><?php echo get_option( 'text_footer' ); ?></p>

			<?php } ?>

			<nav class="kw">

				<?php if ( has_nav_menu( 'tags' ) ) {

				    wp_nav_menu(

						array(

							'menu' 				=>  'Menu', 

							'theme_location' 	=> 	'tags',

							'container'			=> 	false,

							'items_wrap'     	=> 	'<ul class="dfx fwp jst-cr">%3$s</ul>',

						)

					);

				} ?>

		   </nav>

		</footer>

		<?php if(is_singular('post')){ 

			$loop = new TOROFLIX_Movies(); 

			global $post;

			if( $loop->backdrop_tmdb($post->ID, 'original') && $loop->backdrop_tmdb(get_the_ID(), 'original')!= ''){ ?>

				<div class="bghd"><?php echo $loop->backdrop_tmdb($post->ID, 'original'); ?></div>

				<div class="bgft"><?php echo $loop->backdrop_tmdb($post->ID, 'original'); ?></div>

			<?php } ?>

		<?php } elseif( is_tax( 'seasons' ) or is_tax( 'episodes' ) ) { 

			$loop = new TOROFLIX_Movies(); 

			$term_id = get_queried_object_id(); 

			$serie_id = get_term_meta( $term_id, 'tr_id_post', true );

			if($loop->backdrop_tmdb($serie_id, 'original')){ ?>

				<div class="bghd"><?php echo $loop->backdrop_tmdb($serie_id, 'original'); ?></div>

				<div class="bgft"><?php echo $loop->backdrop_tmdb($serie_id, 'original'); ?></div>

			<?php }

		} else{

			$image_header = get_theme_mod( 'setting_image_header' );

			$image_footer = get_theme_mod( 'setting_image_footer' );

			if(!get_option( 'disable_image_header', false )){

				if($image_header){ ?>

					<div class="bghd"><?php echo '<img src="'.$image_header.'">'; ?></div>

				<?php } else { ?>

					<div class="bghd"><img src="<?php echo TOROFILM_DIR_URI . 'public/img/poster.jpg'; ?>"></div>

				<?php }

			}

			if(!get_option( 'disable_image_footer', false )){

				if($image_footer){ ?>

					<div class="bgft"><?php echo '<img src="'.$image_footer.'">'; ?></div>

				<?php } else { ?>

					<div class="bgft"><img src="<?php echo TOROFILM_DIR_URI . 'public/img/poster.jpg'; ?>"></div>

				<?php }

			}

		} ?>

	</div>

	<?php do_action( 'footer_modal' ); 

		# 10: FOOTER LOGIN 

		# 20: FOOTER REGISTER

		# 30: FOOTER RECOVERY ?>

</body>

<?php wp_footer(); ?>

</body>

</html>