<?php

class TOROFLIX_Posts

{

    public function get_categories()

    {

        global $post;

        $cats = false;

        $terms = get_the_category($post->ID);

        if (!empty($terms)) {

            $categories = '';

            foreach ($terms as $term) {

                $categories = '<a href="' . get_category_link($term) . '">' . $term->name . '</a>';
            }

            $cats = $categories;
        }

        return $cats;
    }

    public function get_tags()

    {

        global $post;

        return get_the_tags($post->ID);
    }

    public function get_comments()

    {

        global $post;

        return get_comments_number($post->ID);
    }

    #List categories Posts

    public function categories()

    {

        global $post;

        $terms = wp_get_post_terms($post->ID, array('category'));

        if ($terms) {

            $categories = array();

            foreach ($terms as $term) {

                $categories[] = '<a href="' . get_term_link($term) . '">' . $term->name . '</a>';
            }
        }

        $cats = implode(', ', $categories);

        return $cats;
    }
}
