<?php 

/*

template name: Premiere Page

*/

get_header(); ?>

    <div class="bd">

        <div class="dfxc">

            <main class="main-site">

                <section class="section movies">

                    <header class="section-header">

                        <div class="rw alg-cr jst-sb">

                            <h1 class="section-title"><?php the_title(); ?></h1>

                        </div>

                    </header>

                    <?php $paged = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;

                    $yes = date('Y-m-d');

                    $paged = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;

                    $args = array(

                        'post_type' => array('movies', 'series'),

                        'paged' => $paged,

                        'orderby' => 'field_date',

                        'order' => 'DESC',

                        'posts_per_page' => get_option('posts_per_page'),

                        'meta_query' => array( 

                            array(

                                'key'     => 'field_date', 

                                'value'   => $yes, 

                                'compare' => '>=', 

                                'type'    => 'DATE' 

                            )

                        ),

                    );

                    query_posts($args); 

                    if ( have_posts() ) : ?>

                        <div class="aa-cn" id="aa-movies">

                            <div id="movies-a" class="aa-tb hdd on">

                                <ul class="post-lst rw sm rcl2 rcl3a rcl4b rcl3c rcl4d rcl6e">

                                    <?php 

                                    while ( have_posts() ) : the_post();

                                        get_template_part('public/partials/template/movies', 'main');

                                    endwhile; ?> 

                                </ul>

                            </div>

                        </div>

                        <nav class="navigation pagination">

                            <?php torofilm_pagination() ?>

                        </nav>

                    <?php endif; ?>

                </section>

            </main>

            <?php get_sidebar(); ?>

        </div>

    </div>

<?php get_footer();  ?>